require 'cocoapods'

module Pod
    class Podfile  
        COCOAPODS_SOURCES_OPTIONS = 'cocoapods_sources_options'.freeze
        
        public

        def set_options(options)
            set_internal_hash_value(COCOAPODS_SOURCES_OPTIONS,options)
        end
        
        def get_options
            get_internal_hash_value(COCOAPODS_SOURCES_OPTIONS, {})
        end

        private

        # set_hash_value 有 key 限制
        def set_internal_hash_value(key, value)
            internal_hash[key] = value
        end

        def get_internal_hash_value(key, default = nil)
            internal_hash.fetch(key, default)
        end
    end
  end