require 'cocoapods'

Pod::HooksManager.register('cocoapods-sources', :pre_install) do |context, options|
    require 'cocoapods-sources/native/aggregate'
    require 'cocoapods-sources/native/podfile'
    require 'cocoapods-sources/native/resolver'

    context.podfile.set_options(options)
end

Pod::HooksManager.register('cocoapods-sources', :source_provider) do |context, _|
    sources_manager = Pod::Config.instance.sources_manager
    podfile = Pod::Config.instance.podfile
end